Page MenuHomePhabricator

Missing references to s8 on maintenance and cloud scripts (and potentially others)
Closed, ResolvedPublic

Description

By grepping s7:

modules/mediawiki/manifests/maintenance/refreshlinks.pp:    mediawiki::maintenance::refreshlinks::cronjob { ['s1@1', 's2@2', 's3@3', 's4@4', 's5@5', 's6@6', 's7@7', 'silver@8']: }
modules/mediawiki/manifests/maintenance/updatequerypages.pp:    mediawiki::maintenance::updatequerypages::cronjob { ['s1@11', 's2@12', 's3@13', 's4@14', 's5@15', 's6@16', 's7@17', 'silver@18']: }
modules/openstack/files/util/wikireplica_dns.py:    all_shards = ['s1', 's2', 's3', 's4', 's5', 's6', 's7']
modules/openstack/files/util/wikireplica_dns.yaml:    s7:
modules/openstack/files/util/wikireplica_dns.yaml:    s7:
modules/openstack/files/util/wikireplica_dns.yaml:  s7:
Binary file modules/planet/files/theme/images/planet-wm.png matches
modules/profile/files/openstack/base/pdns/recursor/labsdb.zone:[several here]
modules/role/files/labs/db/views/maintain-meta_p.py:    for slice in ['s1', 's2', 's3', 's4', 's5', 's6', 's7']:
modules/role/files/mariadb/dump_shards.sh:SHARDS=${SHARDS:-"s2 s3 s5 s6 s7 x1"}
modules/role/manifests/mariadb/dbstore.pp:        ['s1','s2','s3','s4','s5','s6','s7','m2','m3','x1']:
modules/role/templates/mariadb/mysqld_config/dbstore.my.cnf.erb:[several here]

Event Timeline

jcrespo triaged this task as Normal priority.Jan 4 2018, 1:28 PM
jcrespo created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2018, 1:28 PM
jcrespo added subscribers: Andrew, bd808.

@bd808 @Andrew This contains the self-actionable part of T181643 (mostly dns-related changes, I assume, for wikireplicas), although probably that was probably already know it was pending.

The ones I realized by pure chance is the maintenance tasks.

Change 402047 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mediawiki-maintenance: Run maintenance on new s8 replica set, too

https://gerrit.wikimedia.org/r/402047

^see if that patch makes sense

mark raised the priority of this task from Normal to High.Jan 4 2018, 1:48 PM
chasemp added a subscriber: chasemp.Jan 4 2018, 3:53 PM

Just an extra ping for @bd808 as he wrote most of what I think needs to be updated here

Change 402086 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] wikireplica_dns: Add s8 shard

https://gerrit.wikimedia.org/r/402086

Change 402087 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] wmcs: Add s8 to maintain-meta_p

https://gerrit.wikimedia.org/r/402087

Change 402086 merged by Andrew Bogott:
[operations/puppet@production] wikireplica_dns: Add s8 shard

https://gerrit.wikimedia.org/r/402086

Change 402087 merged by Andrew Bogott:
[operations/puppet@production] wmcs: Add s8 to maintain-meta_p

https://gerrit.wikimedia.org/r/402087

I think my patches above take care of the Cloud Services/Data Services side of this (DNS and views support). The scripts I patched will still need to be run to create/update the DNS records. I don't think that anything in the views will actually change as a result of the slice move.

Change 402047 merged by Jcrespo:
[operations/puppet@production] mediawiki-maintenance: Run maintenance on new s8 replica set, too

https://gerrit.wikimedia.org/r/402047

jcrespo assigned this task to bd808.Jan 9 2018, 11:07 AM

I think cloud stuff is ready -although there is a bit of lag at the moment on wikidatawiki rightnow 12K seconds-, only things pending would be cloud specific setup such as dns changes, script changes and https://tools.wmflabs.org/replag/ update to include s8 (it may also need a meta_p update). Assigning symbolically to @bd808 but of course, it doesn't have to be himself- this is just a handover to indicate everything is already read on our side- loop us back if you see something strange.

Change 403147 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] dbstore: include s8 on the dbstore2001 backups

https://gerrit.wikimedia.org/r/403147

Change 403147 merged by Jcrespo:
[operations/puppet@production] dbstore: include s8 on the dbstore2001 backups

https://gerrit.wikimedia.org/r/403147

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-01-09T16:09:37Z] <bd808> data-services: added s8.{analytics,web}.db.svc.eqiad.wmflabs and aliases (T181643, T184179)

After running maintain-meta_p:

(u3518@s7.labsdb) [meta_p]> SELECT * FROM meta_p.wiki WHERE dbname like 'wikidata%'\G
*************************** 1. row ***************************
          dbname: wikidatawiki
            lang: en
            name: Wikidata
          family: wikidata
             url: https://www.wikidata.org
            size: 3
           slice: s8.labsdb
       is_closed: 0
        has_echo: 1
 has_flaggedrevs: 0
has_visualeditor: 0
    has_wikidata: 1
    is_sensitive: 0
1 row in set (0.00 sec)
Dzahn removed a subscriber: Dzahn.Jan 9 2018, 7:07 PM

Change 403315 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] wmcs: Add s8.labsdb and move wikidatawiki

https://gerrit.wikimedia.org/r/403315

Change 403315 merged by Madhuvishy:
[operations/puppet@production] wmcs: Add s8.labsdb and move wikidatawiki

https://gerrit.wikimedia.org/r/403315

bd808 closed this task as Resolved.Jan 9 2018, 11:56 PM

I think the Cloud-Services bits are done now.